https://pantsbuild.org/ logo
#development
Title
# development
w

wide-energy-11069

05/05/2022, 6:04 AM
Is pants M1 compatible?
Copy code
$ ./pants goals
...
   Compiling process_execution v0.0.1 (/Users/yic/workspace/oss_pants/src/rust/engine/process_execution)
    Finished release [optimized + debuginfo] target(s) in 3m 27s
Traceback (most recent call last):
  File "/Users/yic/workspace/oss_pants/src/python/pants/bin/pants_loader.py", line 19, in <module>
    from pants.bin.pants_runner import PantsRunner
  File "/Users/yic/workspace/oss_pants/src/python/pants/bin/pants_runner.py", line 13, in <module>
    from pants.engine.environment import CompleteEnvironment
  File "/Users/yic/workspace/oss_pants/src/python/pants/engine/environment.py", line 10, in <module>
    from pants.engine.rules import collect_rules, rule
  File "/Users/yic/workspace/oss_pants/src/python/pants/engine/rules.py", line 25, in <module>
    from pants.engine.engine_aware import SideEffecting
  File "/Users/yic/workspace/oss_pants/src/python/pants/engine/engine_aware.py", line 9, in <module>
    from pants.engine.internals import native_engine
ImportError: dlopen(/Users/yic/workspace/oss_pants/src/python/pants/engine/internals/native_engine.so, 0x0002): tried: '/Users/yic/workspace/oss_pants/src/python/pants/engine/internals/native_engine.so' (mach-o file, but is an incompatible architecture (have 'arm64', need 'x86_64')), '/usr/lib/native_engine.so' (no such file)
It’s okay if not, I can switch back to intel.